Page MenuHomeFreeBSD

Remove mariadb- ports
ClosedPublic

Authored by brnrd on Nov 7 2015, 4:05 PM.

Details

Summary

Proposed commit message

databases/mariadb-client,scripts,server: Remove

  * MariaDB is based on the vulnerable MySQL 5.1 version
  * No new versions since 2013
  * Simplify Mk/bsd.databases.mk

Reviewed by:	koobs (mentor), feld
Approved by:	
DifferentialRevision: https://reviews.freebsd.org/D4099

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brnrd updated this revision to Diff 10010.Nov 7 2015, 4:05 PM
brnrd retitled this revision from to Move MariaDB 5.3 ports to versioned portnames.
brnrd updated this object.
brnrd edited the test plan for this revision. (Show Details)
brnrd added reviewers: koobs, vsevolod.
brnrd updated this revision to Diff 10011.Nov 7 2015, 4:17 PM
brnrd edited edge metadata.

Update maintainership to my @FreeBSD.org address

  • Harmonize conflicts globs
koobs edited reviewers, added: feld; removed: vsevolod.Nov 8 2015, 11:17 AM
koobs added a subscriber: vsevolod.
brnrd retitled this revision from Move MariaDB 5.3 ports to versioned portnames to Rename mariadb- ports to mariadb53-.Nov 8 2015, 1:06 PM
brnrd updated this object.
brnrd updated this revision to Diff 10042.Nov 8 2015, 8:18 PM

Refactor using options helpers

brnrd added a comment.Nov 11 2015, 8:13 PM

Should probably just delete the MariaDB-5.3 ports...

Oracle: MySQL Server, version(s) 5.5.45 and prior, 5.6.26 and prior
for the latest 11 CVE's MariaDB lists the vulns as fixed in their latest 5.5/10.0/10.1 versions.
So MariaDB is also affected, no new version for 5.3 to be found on the website post 2013.

feld edited edge metadata.Nov 11 2015, 8:15 PM

I don't disagree. Nuke em.

brnrd added a comment.Nov 11 2015, 8:42 PM
In D4099#86796, @feld wrote:

I don't disagree. Nuke em.

And so it will be! Hold the review, cooking up a new diff for a remove.

brnrd retitled this revision from Rename mariadb- ports to mariadb53- to Remove mariadb- ports.Nov 13 2015, 12:43 PM
brnrd updated this object.
brnrd edited the test plan for this revision. (Show Details)
brnrd edited edge metadata.
brnrd updated this revision to Diff 10155.Nov 13 2015, 12:45 PM

Rename -> Remove

brnrd updated this revision to Diff 10176.Nov 14 2015, 9:33 AM
brnrd updated this object.
  • Add missing MOVED and Mk/bsd.databases.mk patches
  • Simplify Mk/bsd.databases.mk MySQL flavour handling
koobs accepted this revision.Nov 18 2015, 10:00 AM
koobs updated this object.
koobs edited edge metadata.
koobs edited edge metadata.

LGTM. Any other references to mariadb-* in other ports? I'm assuming you checked and that mytop was the only one

This revision was automatically updated to reflect the committed changes.

Yes, I checked for other ports depending on or conflicting with the mariadb- ports. Haven't found any.